var edit = false;
var preview = false;
var edit_lancamento = true;
var admin = false;

var value_progress = 1;
var add_progress = 1;
var step;
isWaiting = false;
var ttStep = $('.step').length;
var total_progress = 100/ttStep;
var id_imovel;
var meuCadastro;
var dados_pj;
var doc_perfil;
$bloquioCep = false;



var Campos_obrigatorios =
[
    [],//STEP 0 
    ['dn_nome_nomefantasia','dn_telefone','dn_email','dn_cpf_cnpj','dn_razao_social','doc_perfil'],//dn_nome_fantasia
    ['lancamento'],//para PJ
    ['cep','endereco','numero','complemento','bairro','cidade','estado'],
    ['confirma_local'],
    [],//posicao_sol
    //['chk_termo'],//chk_termo
    [],
    [],
    [],
];



//foto, cpf, , doc propriedade, matrícula, descricao

// CONFIG Nível de confiança para o comprador
var bg = [
'',
'bg-fraca',
'bg-regular',
'bg-forte',
'bg-m-forte',
];

var emoji = [
    'emoji-inconfiavel',
    'emoji-inconfiavel',
    'emoji-regular',
    'emoji-bom',
    'emoji-confiavel',
    ]

var bgText = [
    '', 
    'Pouco confiável',
    'Regular',
    'Bom',
    'Confiável',
    ];

var potuacao = {
    dn_img: 30,
    dn_cpf_cnpj: 10,
    confirma_local: 10,
    doc_propriedade: 35,
    num_matricula: 25,
    //chk_termo: 10,
    caracteristicas: 20,
};

var $niveis = 4;
var box = $(".box-force");
var potuacaoTotal = getPontuacaoTotal();


$(window).on('load', function(){
    
    iniUri();
    
    if($('#edit').val() != undefined)
        edit = true;
        
    if($('#admin').val() != undefined && $('#admin').val() == true){
        admin = true;
        iniUri('admin');
    }
        
    if($('#preview').val() != undefined){
        preview = true;
        $('.progress-bar').addClass('bg-success').animate({width: 100+"%"}, 50 );
    }
    set_dados_pj();
    
    doc_perfil = $("input[name='doc_perfil']:checked").val();
    
    if(doc_perfil == "cpf" || doc_perfil == undefined){
        addMascCpf();
        removeCampoObrigatorio(2, 'lancamento')
    }else{
        addMascCnpj();
        addCampoObrigatorio(2, 'lancamento')
    }
    
    if(!preview){
        iniUploads();
        var len = $("#dn_cpf_cnpj").val().length;
        verificaTipoCpf(len);
    }
    
    id_imovel   = getIdImovel();
    step        = $('#id_step').val();
    meuCadastro = $('#meuCadastro').data('meucadastro');
    
    
    $(".loadingPage").show();
    //loadingPage()
    iniciaStep();
    ajusta_height();
    
    form = getForm();
    
    for(i in form)
        if(form[i].name == 'doc_perfil' && form[i].value == ''){
            $('input[name=doc_perfil][value=cpf]').attr('checked', true);
            changeDocPerfil();
        }
    
});


function getTextItem($key)
{
    img_pf = 'Não esqueça de colocar uma foto sua. Assim você passa mais credibilidade e confiança nas negociações.';
    img_pj = 'Não esqueça de colocar uma imagem da logo da empresa com fundo branco. Assim você passa mais credibilidade e confiança nas negociações.';
    
    var textItem = {
        1:  {
                dn_img: (doc_perfil == "cnpj")?img_pj:img_pf,
                dn_cpf_cnpj: 'Adicione o número do documento',
            },
        2: {},
        3: {},
        4: {
                confirma_local: 'A localização correta do seu imóvel contribui para que ele seja melhor filtrado durante as buscas em nossa plataforma. Não deixe de checar se está tudo certo!'
           },
        5: {
                doc_propriedade: 'Adicione o documento de propriedade',
                num_matricula: 'Adicione o número da matrícula',
           },
        6: {
                //chk_termo: 'Aceite os termos comerciais',
           },
        7: {
                caracteristicas: 'Informações sobre o condomínio e a vizinhança dos imóveis tornam mais completa a experiência de quem busca um imóvel. Por isso, não deixe de ressaltar pontos positivos e facilidades da região.',
           },
        8: {},
    };
    $return = textItem[step][$key];
    
    return $return == undefined?'':$return;
}

function getPontuacaoTotal()
{
    sum = 0;
    for(var i in potuacao){
        sum = sum + potuacao[i];
    }    
    return sum;
}

function setPontuacaoConfianca(form = [])
{
    forca = 0;
    itens = [];
    k = 0;
    for(i in form)
    {
        if(form[i].name in potuacao)
        {
            if(form[i].value != '')
            {
                forca = forca + potuacao[form[i].name];
            }
            else
            {
                itens[k] = form[i].name;
                k++;
            }
        }
    }
    $('.material-icons').attr("data-original-title", '');
    $info = false;
    if(itens.length > 0)
    {
        $text = 'Para aumentar a confiança:<br><br>'
        for(i in itens)
        {
            if(getTextItem(itens[i]) != ''){
                $text += getTextItem(itens[i])+'<br>';
                //$('.material-icons').show();
                $info = true;
            }
        }
    }
    
    if($info)
        $('.material-icons').attr("data-original-title", $text); 
    
    nivel = 0
    $pontoPorNivel = potuacaoTotal/$niveis;
    for(var i = 1; i <= $niveis; i++){
        
        fim = $pontoPorNivel*i;
        ini = fim-$pontoPorNivel;
        
        if(forca >= ini)// && forca < fim 
        {    
            nivel = i;
        }
    }
    addBg(nivel);
}

function resetBg(){
    $(".box-force").removeClass("bg-fraca");
    $(".box-force").removeClass("bg-regular");
    $(".box-force").removeClass("bg-forte");
    $(".box-force").removeClass("bg-m-forte");
    $('.container-force-password .info').html('');
}

function addBg(n){
    resetBg();
    
    $('.container-force-password .info').html(bgText[n]);
    /*for(var i=0;i<n;i++){
        box[i].classList.add(bg[n]);
    }*/
    
    $('.emoji').hide();
    $('.'+emoji[n]).show();
    
}

$(".act-modelo-anuncio").on("click", function(){
    $('.open-modelo-anuncio').modal('show');
});




function setSelectEtapa()
{
    selected = ['','','','','','','','','',''];
    selected[step] = "selected='selected'";
    count = 1;
    options = [];
    
    options[1] = '<option value="1" '+selected[1]+' >Etapa '+count+' - Perfil</option>';
    options[2] = '<option value="2" '+selected[2]+' >Etapa '+(++count)+' - Tipo de anúncio</option>';
    options[3] = '<option value="3" '+selected[3]+' >Etapa '+(++count)+' - Endereço</option>';
    options[4] = '<option value="4" '+selected[4]+' >Etapa '+(++count)+' - Confirmação da localização</option>';
    options[5] = '<option value="5" '+selected[5]+' >Etapa '+(++count)+' - Informações do imóvel</option>';
    options[6] = '<option value="6" '+selected[6]+' >Etapa '+(++count)+' - Detalhes do condomínio</option>';
    options[7] = '<option value="7" '+selected[7]+' >Etapa '+(++count)+' - Galeria</option>';
     
    var slct = '<select class="form-control" name="etapa_cadastro" id="etapa_cadastro">';
    
    if(edit){
        options[9] = ''
        for(var i in options)
        {
            slct += options[i];
        }
    }
    else
    {
        for(var i in options)
        {
            slct += (step >= i)? options[i]:'';
        }
    }
    slct += '</select>';
     
    $('#select-etapa').html(slct);
}

//filtro page
$('body').on('change','#etapa_cadastro', function(){
    
    stepSet = parseInt($("#etapa_cadastro :selected").attr('value'));
    if(stepSet > step)
    {
        //loadButton($('.p-step'));
        form = getForm();
    
        sumStep = 1
        if(step == 1 && $("#dn_cpf_cnpj").val().length == 14)//se CPF pula step 2
                sumStep = 2;
        form.push({
            name: "step",
            value: (step+sumStep)
        });
        
        for (var i = step; i <= stepSet; i++) 
	    {
            step = i;
            if(!validaStep())
            {
                //step++;
                //backStep();
                break;
            }
        }
    }
    else
    {
        step = stepSet;
    }
    step++;
    backStep();
});

function loadingPage(){
    
    load = "<div class='content-img box-img grid loading-img border-img'><i class='fa fa-circle-o-notch fa-spin fa-3x fa-fw'></i></div>"
    $(".loadingPage").prepend(load);
    //$(".loadingPage").show();
    
}

function getIdImovel(){
    return $('#id_imovel').val();
}

function getMeuCadastro()
{
    return $('#meuCadastro').data('meucadastro');
}

function getDadosPerfil(){
    xVal = $('input[name=dados_perfil]:checked').val();
    return (xVal == undefined) ? 'xxx' : xVal;
}

function iniciaStep(){
    
    var divStep = $(".step");
    $.each(divStep, function(key,div){
        $(this).addClass('step-'+(key+1));
    });
    
    $('.pro-etapa').addClass('bg-info').animate({width: total_progress +"%"}, 50 );
    step--;
    nextStep(); 
    
    
    $('body').on('click','.a-step', aStep);
}

/*function hideDetalhesCondominio(){
    
    val_condominio = $("input[name='val_condominio']").val();
    if(val_condominio == 0.00){
        $(".box-detalhes-condominio").hide();
    }else{
        $(".box-detalhes-condominio").show();
    }
}*/
 
function nextStep(){
    if(step < ttStep)
    {
        $('.step').hide();//$('.step-'+step).hide();
        step++;
        
        
        if(step == 2 && $("#dn_cpf_cnpj").val().length == 14)//se CPF pula step 2
            step++;
        
        getForm();
        
        setSelectEtapa();
        
        ajusta_height();
        
        $('.step-'+step).show('clip');
        $('.t-etapa').html($('.step-'+step).parent().data('title'));
        $('.pro-etapa').addClass('bg-info').animate({width: total_progress * step +"%"}, 50 );
        console.log(ttStep,step);
        if(ttStep == step)//penultimo step
        {
            $('.btn_proximo').html('Salvar e sair');
            $('.t-etapa').html($('.step-'+(step-1)).parent().data('title'));
            $('.pro-etapa').removeClass('bg-info').addClass('bg-success');
        }
        setTimeout(function(){ $('body').on('click','.p-step', pStep); }, 500);
        
        $('html, body').animate({
            scrollTop: $("main").offset().top
        }, 500);
    }
    else
    {
        setTimeout(function(){ $('body').on('click','.p-step', pStep); }, 500);
    }
} 

function backStep(){
    if(ttStep == step-1)
    {
        
        $('.btn_proximo').html('Salvar e sair');
    }
    else
    {
        $('.btn_proximo').html('Próximo');
    }
    
    if((step - 1) > 0)
    {
        $('.step').hide();
        //$('.step-'+step).hide();
        step--;
        
        
        if(step == 2 && $("#dn_cpf_cnpj").val().length == 14)//se CPF pula step 2
            step--;
        
        setSelectEtapa();
        
        ajusta_height();
        
        $('.step-'+step).show('clip');
        $('.t-etapa').html($('.step-'+step).parent().data('title'));
        $('.pro-etapa').addClass('bg-info').animate({width: total_progress * step +"%"}, 50 );
        $('.pro-etapa').addClass('bg-success').addClass('bg-info');
        
        atualiza_imovel_ajax();
    }
}

$('.btn_salvar').click(function(){
	loadButton($(this));
	if(edit)
    {
        form = getForm();
        step = 1;
        stepSet = ttStep;
        sumStep = 1
        if(step == 1 && $("#dn_cpf_cnpj").val().length == 14)//se CPF pula step 2
                sumStep = 2;
        form.push({
            name: "step",
            value: (step+sumStep)
        });
        for (var i = step; i <= stepSet-1; i++) 
	    {
            step = i;
            if(!validaStep())
            {
                step++;
                backStep();
                loadButton(null);
                break;
            }
        }
    }
    atualiza_imovel_ajax();
    window.location.href = base_url+URI.lancamento+id_imovel;
});

function atualiza_imovel_ajax()
{
    $.ajax({
		url: base_url+URI.atualiza_lancamento,
		dataType: 'json',type: 'POST',data: getForm(),
		success: function(retorno){},
		error: function(error){console.log(error)}
	});
}

function getForm(){
    
    data = [];
    var nameRadio = [];
    
    data.push({
        name: "edit",
        value: edit
    });
    
    data.push({
        name: "id_imovel",
        value: id_imovel
    });
    data.push({
        name: "step",
        value: step
    });
    //var data = $("#form-imovel").find('input,textarea').serializeArray();
    $('#form-imovel').find('input:not([type=radio]):input:not([type=checkbox]):input:not([type=file])').each(function(key,value){
        if(this.name != "")
            data.push({"name": this.name, "value": this.value});
    });
    $('#form-imovel').find('textarea').each(function(key,value)    {
        if(this.name != "")
            data.push({"name": this.name, "value": CKEDITOR.instances[this.name].getData()});
    });
    
    $('#form-imovel').find('input[type=radio]').each(function(key,value){
        if(nameRadio[this.name] == undefined)
            nameRadio[this.name] = '';
        if($(this).is(':checked'))
            nameRadio[this.name] = this.value;
    });
    
    for(var name in nameRadio){
        data.push({"name": name, "value": nameRadio[name]});
    };
    
    $('#form-imovel').find('select option:selected').each(function(key,value)    {
        if(this.parentElement.localName == 'select')
            data.push({"name": this.parentElement.name, "value": this.value});
            
        if(this.parentElement.parentElement.localName == 'select')
            data.push({"name": this.parentElement.parentElement.name, "value": this.value});
    });
    
    $('#form-imovel').find('input[type=checkbox]:checked').each(function(key,value)    {
        if(this.name != "")
            data.push({"name": this.name, "value": this.value});
    });
    
    $('#form-imovel').find('input[type=checkbox]:not(:checked)').each(function(key,value)    {
        if(this.name != "")
            data.push({"name": this.name, "value": ""});
    });
    
    if(typeof getLatitude == 'function' && typeof getLogitude  == 'function') 
    { 
        data.push({
            name: "latitude",
            value: getLatitude()
        });
        data.push({
            name: "longitude",
            value: getLogitude()
        });
    }
    
    data.push({
            name: "dn_img",
            value: $('#dn_img').data('value')
        });
    
    data.push({
            name: "doc_propriedade",
            value: $('#doc_propriedade').data('value')
        });
    
    
    if(!preview)
        setPontuacaoConfianca(data);
    
    return data;
}


function addBorderRed(campo){
    $('input[name='+campo+']').attr('style', 'border: 1px solid #ff5650 !important');
    $('select[name='+campo+']').attr('style', 'border: 1px solid #ff5650 !important');
}

function removeBorderRed(campo){
    $('input[name='+campo+']').removeAttr('style', 'border: 1px solid #ff5650 !important');
    $('select[name='+campo+']').removeAttr('style', 'border: 1px solid #ff5650 !important');
}

function validaStep(){   
    erros = true;
    
    $('#content-error').hide();
    
    dataForm = [];
    $.each(form, function(key,dt)    {
        dataForm[dt.name] = dt.value;
    }); 
    
    $.each(Campos_obrigatorios[step], function(key,campo)    {
        removeBorderRed(campo);
        if(dataForm[campo] == undefined || dataForm[campo] == ''){
            erros = false;
            addBorderRed(campo);
        }
        if((campo == 'area_total' && dataForm[campo] == '0') || (campo == 'area_privativa' && dataForm[campo] == '0')){
            erros = false;
            addBorderRed(campo);
        }
        
        if(campo == 'chk_termo' && (dataForm[campo] == undefined || dataForm[campo] == '')){
            ico = '<img src="'+base_url+'assets/img/comdono/icons/error.png'+'">';
            $('#content-error').show();
            $('#content-error').html(
                '<label class="error-login text-left"><span>'+ico+'</span>É necessário aceitar os termos comerciais para avançar o cadastro do seu imóvel.</label>'
            );
        }
    });
    
    if(!erros)
    {
        text = "Ops! Preencha os campos obrigatórios.";
        notifyErros(text)
        
        loadButton(null,false);
        return erros;
    }
    
    cpf = $('#dn_cpf_cnpj').val();
    
    if(cpf.length != 18 && !validaCPF(cpf))
    {
        addBorderRed('dn_cpf_cnpj');
        text = "Ops! CPF inválido";
        notifyErros(text)
        loadButton(null,false);
        return false;
    }
    
    
    if(doc_perfil == 'cnpj' && !validaCNPJ(cpf))
    {
        addBorderRed('dn_cpf_cnpj');
        text = "Ops! CNPJ inválido";
        notifyErros(text)
        loadButton(null,false);
        return false;
    }
    
    
    if(step == 1 && meuCadastro.cpf != '' && cpf.length != 18 && cpf != meuCadastro.cpf)
    {
        addBorderRed('dn_cpf_cnpj');
        text = "Ops! CPF deve pertencer ao dono do dadastro principal";
        notifyErros(text)
        loadButton(null,false);
        return false;
    }
    return erros;

}

var w = $(this).width();

function ajusta_height(){
    var height = $('.step-'+step).height();
    var heightContainerInfo = $(".container-informativo").height();
        
    if(height < heightContainerInfo){
        $('.container-etapas-passas').css("height",heightContainerInfo);
        //$('.container-informativo').css("height","550px");
    }else{
        $('.container-etapas-passas').css("height",height);
        $('.preview-page').parent().css("height","auto");
    }
    
    if(w <=1024){
        $('.container-etapas-passas').css("height","auto");
    }
    if(w < 767){
        $('.preview-page').css("height","auto");
    }
}

function ajusta_width(){
    alert("Width of div: " + $(".container-informativo").width());
}

// btn proximo step
function pStep(){
    $('body').off('click','.p-step', pStep);
    
    loadButton($(this));
    
    form = getForm();
    
    sumStep = 1
    if(step == 1 && $("#dn_cpf_cnpj").val().length == 14)//se CPF pula step 2
            sumStep = 2;
    form.push({
        name: "step",
        value: (step+sumStep)
    });
    
    
    if(validaStep())//<--Erros estao na function validaStep()
    {
    	$.ajax({
    		url: base_url+URI.atualiza_lancamento,
    		/*secureuri		:false,
			fileElementId	:'doc_propriedade',*/
    		dataType: 'json',
    		type: 'POST',
    		data: form,
    		success: function(retorno)
    		{
    		    if(step == ttStep)
    		        if(edit)
    		            document.location.href = base_url+URI.lancamento+id_imovel;
    		        else
    		            document.location.href = base_url+'cadastro/imovel/preview';
    		    else
    		    {
    		        loadButton(null,false);
    			    nextStep(); 
    		    }
    		},
    		error: function(error)
    		{
    			loadButton(null,false);
                setTimeout(function(){ $('body').on('click','.p-step', pStep); }, 500);
    		}
    	});
    }
    else
    {
        setTimeout(function(){ $('body').on('click','.p-step', pStep); }, 500);
    }
};

//btn anterior step
function aStep(){
    $('body').off('click','.a-step', aStep);
    
    loadButton($(this));
    
    
    backStep();
    
	loadButton(null,false);
    
    setTimeout(function(){ $('body').on('click','.a-step', aStep); }, 500);
    
    $('html, body').animate({
        scrollTop: $("main").offset().top
    }, 500);
    
};

function hideRazaoSocial(){
    
    //aqui
    removeCampoObrigatorio(1, 'dn_razao_social');
    $('.box-razao-social').hide();
    $('#dn_razao_social').val("");
}

function showRazaoSocial(){
   
   //aqui
    addCampoObrigatorio(1, 'dn_razao_social');
    $('.box-razao-social').show('clip');
}

//desativa e ativa o select tipo_imovel no step 5, e  o dn_razao_social no step 1
function verificaTipoCpf(len){
    if(len <= 14){
        removeCampoObrigatorio(1, 'dn_razao_social');
        /*addCampoObrigatorio(5, 'tipo_imovel');
        $('#tipo_imovel2').val($('#tipo_imovel').val());
        $('.boxTipoImovel2').show();
        document.getElementById("tipo_imovel").setAttribute("name","");
        document.getElementById("tipo_imovel2").setAttribute("name","tipo_imovel");*/
        //hideRazaoSocial();
    }
    else{
        //removeCampoObrigatorio(5, 'tipo_imovel');
        
        /*$('#tipo_imovel').val($('#tipo_imovel2').val());
        $('.boxTipoImovel2').hide();
        document.getElementById("tipo_imovel").setAttribute("name","tipo_imovel");
        document.getElementById("tipo_imovel2").setAttribute("name","");*/
        //showRazaoSocial();
    }
    
}

function addCampoObrigatorio(step, campo){
    key = Campos_obrigatorios[step].indexOf(campo);
    if(key == -1)
        Campos_obrigatorios[step].push(campo);
}

function removeCampoObrigatorio(step, campo){
    key = Campos_obrigatorios[step].indexOf(campo);
    if(key > -1)
        Campos_obrigatorios[step].splice(key, 1);
}

//desable inputs quartos e suites
$("select[name='tipo_imovel']").change(function(){
    tipo_imovel = $(this).val();  
    
    $capos = [
                ['Apartamento Padrão', []],
                ['Kitnet/Studio',      []],
                ['Loft',               []],
                ['Flat',               []],
                ['Cobertura',          []],
                ['Duplex',             []],
                ['Triplex',            []],
                ['Casa Padrão',        ['andar']],
                ['Casa de Condomínio', ['andar']],
                ['Casa de Vila',       ['andar']],
                ['Comercial',          ['quartos','suites']],
                ['Rural',              []],
                ['Terreno',            ['andar','quartos','suites','banheiros','vaga']],
                ['Vaga de Garagem',    ['quartos','suites','banheiros']],
        ];

    
    $("input[name='andar']").removeAttr('readonly','readonly');
    $("input[name='vaga']").removeAttr('readonly','readonly');
    $("input[name='banheiros']").removeAttr('readonly','readonly');
    $("input[name='quartos']").removeAttr('readonly','readonly');
    $("input[name='suites']").removeAttr('readonly','readonly');
    
    $.each($capos, function(key,array){
        
        if(array[1].length > 0 && tipo_imovel == array[0]){
            $.each(array[1], function(key,field){
                $("input[name='"+field+"']").val('0');
                $("input[name='"+field+"']").attr('readonly','readonly');
            });
        }
        
    });
}); 

function calculaTaxas($card){
    val_pretendido = $card.find('.val_pretendido').val();
    area_total = $card.find('.area_total').val(); 
    
    if(area_total < 1){
        limpaTaxas($card);
        addBorderRedCard($card,'area_total');
    }else{
        removeBorderRedCard($card, 'area_total');
    }
    
    if(val_pretendido < 1){
        limpaTaxas($card);
        addBorderRedCard($card,'val_pretendido');
    }
    else{
        removeBorderRedCard($card, 'val_pretendido');
    }
    
    if(val_pretendido >= 1 && area_total >= 1)
    {
        val_public_total = (1.5*val_pretendido)/100;
        val_public_total_metro = val_public_total/area_total;
        
        
        $('.val_public_total_metro').val(val_public_total_metro.toFixed(3));
        $('.val_public_total').val(val_public_total.toFixed(3));
        
        $('.val_public_total_metro_html').val(val_public_total_metro.toFixed(2));
        $('.val_public_total_html').val(val_public_total.toFixed(2));
        
        //$('.val_public_total2').val(val_pretendido+val_public_total);
        $('.val_public_total2').val(val_pretendido);
        //$('.val_pretendido2').val(val_pretendido);
        $('.val_pretendido2').val((val_pretendido-val_public_total));
        
    }
}

function limpaTaxas($card){
    $card.find('.val_public_total_metro').val("");
    $card.find('.val_public_total').val("");
}

function addBorderRedCard($card, campo){
    $card.find('.'+campo).attr('style', 'border-color: #ff5650 !important');
}

function removeBorderRedCard($card, campo){
    $card.find('.'+campo).removeAttr('style', 'border-color: #ff5650 !important');
}


function labelImportPlanilha()
{
    label = '<label class="custom-file-label label-planilha-file" for="customFile">                                                                   '+
                            '    <div class="row d-flex justify-content-center">                                                                      '+
                            '        <div class="col-lg-3 p-0">                                                                                       '+
                            '            <div class="container-doc-img container-planilha-img text-right" style="display: none;">   '+
                            '                <div class="divDocPlanilha">                                                                             '+
                            '                                                                            </div>                                       '+
                            '            </div>                                                                                                       '+
                            '            <div class="container-doc-load text-right" style="display: none;">                                           '+
                            '                <i class="fa fa-circle-o-notch fa-spin"></i>                                                             '+
                            '            </div>                                                                                                       '+
                            '            <div class="box-icons text-right d-block">                                                                   '+
                            '                <div class="ico arrow">                                                                                  '+
        					'			        <i class="material-icons">                                                                            '+
                            '                        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24">              '+
                            '                           <path fill="none" d="M0 0h24v24H0V0z"></path>                                                 '+
                            '                           <path d="M4 12l1.41 1.41L11 7.83V20h2V7.83l5.58 5.59L20 12l-8-8-8 8z"></path>                 '+
                            '                        </svg>                                                                                           '+
                            '                    </i>                                                                                                 '+
        					'			    </div>                                                                                                    '+
        					'			    <div class="ico space">                                                                                   '+
        					'			        <i class="material-icons">                                                                            '+
                            '                        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24">              '+
                            '                           <path fill="none" d="M0 0h24v24H0V0z"></path>                                                 '+
                            '                           <path d="M18 9v4H6V9H4v6h16V9h-2z"></path>                                                    '+
                            '                        </svg>                                                                                           '+
                            '                    </i>                                                                                                 '+
        					'			    </div>                                                                                                    '+
                            '            </div>                                                                                                       '+
							'	    </div>                                                                                                            '+
							'	    <div class="col-lg-7 p-0">                                                                                        '+
							'	        <div class="text">                                                                                            '+
							'	            Clique ou arraste e solte <span>o documento</span>                                                        '+
							'	        </div>                                                                                                        '+
							'	    </div>                                                                                                            '+
							'    </div>                                                                                                               '+
                            '</label>    ';
    return label;
                            
}

function iniUploads()
{
    // Upload da Planilha
    $(function () {
        $('#doc_planilha').fileupload({
            dropZone: $('#doc_planilha_div'),
            formData: {id_imovel: getIdImovel()},
            url: base_url+URI.upload_planilha,
            autoUpload: true,
            acceptFileTypes: /(\.|\/)(xlsx)$/i,
            maxFileSize: 1024 * 1024 * 3, // 3 Mb NA TEORIA
            disableImageResize: /Android(?!.*Chrome)|Opera/
                .test(window.navigator.userAgent),
            previewMaxWidth: 668,
            previewMaxHeight: 350,
            previewCrop: true,
            messages : {
              maxNumberOfFiles: 'Limite máximo atingido',
              acceptFileTypes: 'Extensão não permitida',
              maxFileSize: 'Limite máximo permitido de 3 Mb',
              minFileSize: 'Imagem menor que... '
            },
            uploadTemplateId: null,
            uploadTemplate: function (o) {
            var rows = $();
            return rows;
        },
            
        })
        .bind('fileuploadadded', function (e, data) {
            //$('.container-planilha-file').hide();
            //$('.container-planilha-img').hide();
            //$('.container-planilha-load').removeClass('d-none');
            //$('.container-planilha-load').show('clip');
            $('.box-icons').removeClass('d-block');
            $('.box-icons').addClass('d-none');
            $('.loader-page').show();
            //LOAD PLANILHA
            
        })
        .fileupload().bind('fileuploaddone', function (e, data) 
        {       
            var error = data.result.uploadDoc.error;
            if(error === undefined)
            {
                if(data.result.valid == true)
                {
                    //$('.divDocPlanilha').html('<img src="'+base_url+'themes/comdono/img/icon_excel_128x128.png" class="img-fluid rounded">'); 
                    $('.divDocPlanilha').html('<img src="themes/comdono/img/ico-file-xlsx.png">');
                    //$('.container-planilha-load').hide();
                    //$('.container-planilha-file').hide();
                    $('.container-planilha-img').removeClass('d-none');
                    $('.container-planilha-img').addClass('d-block');
                    $('.box-icons').removeClass('d-block');
                    $('.box-icons').addClass('d-none');
                    $('.act-pergunta-planilha').hide();
                    $('.act-remover-planilha').show();
                    
                    insert_unidades(data.result);
                }
                else
                {
                    notifyErros(data.result.msg+' - '+data.result.uploadDoc);
                    
                    label = '<label class="custom-file-label label-planilha-file" for="customFile">                                           '+
                            '    <div class="row d-flex justify-content-center">                                                                      '+
                            '        <div class="col-lg-3 p-0">                                                                                       '+
                            '            <div class="container-doc-img container-planilha-img text-right" style="display: none;">   '+
                            '                <div class="divDocPlanilha">                                                                             '+
                            '                                                                            </div>                                       '+
                            '            </div>                                                                                                       '+
                            '            <div class="container-doc-load text-right" style="display: none;">                                           '+
                            '                <i class="fa fa-circle-o-notch fa-spin"></i>                                                             '+
                            '            </div>                                                                                                       '+
                            '            <div class="box-icons text-right d-block">                                                                   '+
                            '                <div class="ico arrow">                                                                                  '+
        					'			        <i class="material-icons">                                                                            '+
                            '                        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24">              '+
                            '                           <path fill="none" d="M0 0h24v24H0V0z"></path>                                                 '+
                            '                           <path d="M4 12l1.41 1.41L11 7.83V20h2V7.83l5.58 5.59L20 12l-8-8-8 8z"></path>                 '+
                            '                        </svg>                                                                                           '+
                            '                    </i>                                                                                                 '+
        					'			    </div>                                                                                                    '+
        					'			    <div class="ico space">                                                                                   '+
        					'			        <i class="material-icons">                                                                            '+
                            '                        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24">              '+
                            '                           <path fill="none" d="M0 0h24v24H0V0z"></path>                                                 '+
                            '                           <path d="M18 9v4H6V9H4v6h16V9h-2z"></path>                                                    '+
                            '                        </svg>                                                                                           '+
                            '                    </i>                                                                                                 '+
        					'			    </div>                                                                                                    '+
                            '            </div>                                                                                                       '+
							'	    </div>                                                                                                            '+
							'	    <div class="col-lg-7 p-0">                                                                                        '+
							'	        <div class="text">                                                                                            '+
							'	            Clique ou arraste e solte <span>o documento</span>                                                        '+
							'	        </div>                                                                                                        '+
							'	    </div>                                                                                                            '+
							'    </div>                                                                                                               '+
                            '</label>                                                                                                                 ';
                    
                    $('.label-planilha-file').html(label);
                    
                    
                    
                    $('.container-planilha-img').hide();
                    $('.container-planilha-load').hide();
                    $('.container-planilha-file').removeClass('d-none');
                    $('.container-planilha-file').show('clip');
                    
                    $('.loader-page').hide();
                }
            } 
            else
            {
                notifyErros(error);
                $('.loader-page').hide();
                //showModal('Erro ao carregar imagem', body, 'danger');
            }
        })
        .bind('fileuploadprocessfail', function (e, data) {
          
            var error = data.files[0].error;
            
            text = "Ops! "+error;
            notifyErros(text)
            
            $('.loader-page').hide();
        });
    
    }); 
    
    // Upload do Documento
    $(function () {
        $('#doc_propriedade').fileupload({
            dropZone: $('#doc_propriedade_div'),
            formData: {id_imovel: getIdImovel()},
            url: base_url+URI.do_upload_doc,
            autoUpload: true,
            acceptFileTypes: /(\.|\/)(gif|jpeg|jpg|png|pdf)$/i,
            maxFileSize: 1024 * 1024 * 3, // 3 Mb NA TEORIA
            disableImageResize: /Android(?!.*Chrome)|Opera/
                .test(window.navigator.userAgent),
            previewMaxWidth: 668,
            previewMaxHeight: 350,
            previewCrop: true,
            messages : {
              maxNumberOfFiles: 'Limite máximo atingido',
              acceptFileTypes: 'Extensão não permitida',
              maxFileSize: 'Limite máximo permitido de 3 Mb',
              minFileSize: 'Imagem menor que... '
            },
            uploadTemplateId: null,
            uploadTemplate: function (o) {
            var rows = $();
            
            return rows;
        },
            
        })
        .bind('fileuploadadded', function (e, data) {
            //$('.container-doc-file').hide();
            $('.box-icons-doc').removeClass('d-block');
            $('.box-icons-doc').hide();
            $('.container-box-doc').hide();
            $('.container-doc-load').removeClass('d-none');
            $('.container-doc-load').addClass('d-block');
            
            ativaDivDoc('#doc_propriedade_div_load');
            
        })
        .fileupload().bind('fileuploaddone', function (e, data) 
        {
            var error = data.result.uploadDoc.error;
            
            if(error === undefined)
            {
                
                var fileName = data.result.uploadDoc;
                var file_ext = fileName.substring(fileName.lastIndexOf('.') + 1); 
                
                console.log('data.result.uploadDoc',file_ext);
                
                if(file_ext == "pdf")
                {
                    $('.divDoc').html('<a href="'+data.result.imagem_path+'" target="_blank"><img src="'+base_url+'themes/comdono/img/ico-file-pdf.png"></a>');
                }else{
                    $('.divDoc').html('<a href="'+data.result.imagem_path+'" target="_blank"><img src="'+base_url+'themes/comdono/img/ico-file-img.png"></a>');
                }
                
                ativaDivDoc('#doc_propriedade_div_doc');
                $(".link_divDoc").attr("href", data.result.imagem_path);
                
                
                $('.container-doc-load').removeClass('d-block');
                $('.container-doc-load').addClass('d-none');
                $('.box-icons-doc').removeClass('d-block');
                $('.box-icons-doc').addClass('d-none');
                $('.container-box-doc').removeClass('d-none');
                $('.container-box-doc').addClass('d-block');
                $('.box-act-remover-doc').removeClass('d-none');
                $('.box-act-remover-doc').addClass('d-block');
                $('.box-act-remover-doc .act-pergunta-doc').hide();
                $('.box-act-remover-doc .act-remover-doc').show();
                
                $('#doc_propriedade').data('value', data.result.imagem_path)
                getForm();
            } 
            else
            {
                console.log(error);
                $('.container-box-doc').removeClass('d-block');
                $('.container-box-doc').addClass('d-none');
                $('.container-doc-load').removeClass('d-block');
                $('.container-doc-load').addClass('d-none');
                $('.box-icons-doc').removeClass('d-none');
                $('.box-icons-doc').addClass('d-block');
                $('.box-act-remover-doc').removeClass('d-block');
                $('.box-act-remover-doc').addClass('d-none');
                ativaDivDoc('#doc_propriedade_div');
                $('#doc_propriedade').data('value', '');
            }
        })
        .bind('fileuploadprocessfail', function (e, data) {
          
            var error = data.files[0].error;
            
            text = "Ops! "+error;
            notifyErros(text)
            
            $('.container-box-doc').removeClass('d-block');
            $('.container-box-doc').addClass('d-none');
            $('.container-doc-load').removeClass('d-block');
            $('.container-doc-load').addClass('d-none');
            $('.box-icons-doc').removeClass('d-none');
            $('.box-icons-doc').addClass('d-block');
            $('.box-act-remover-doc').removeClass('d-block');
            $('.box-act-remover-doc').addClass('d-none');
            
            ativaDivDoc('#doc_propriedade_div');
            
            $('#doc_propriedade').data('value', '');
            
        });
    }); 
    
    // Upload da Imagem do perfil
    $(function () {
        iniUploadImgPerfil();
    });
    }

function ativaDivDoc($div)
{
    $('#doc_propriedade_div').removeClass('d-block');
    $('#doc_propriedade_div_load').removeClass('d-block');
    $('#doc_propriedade_div_doc').removeClass('d-block');
    
    $('#doc_propriedade_div').addClass('d-none');
    $('#doc_propriedade_div_load').addClass('d-none');
    $('#doc_propriedade_div_doc').addClass('d-none');
    
    $($div).removeClass('d-none');
    $($div).addClass('d-block');
}


function iniUploadImgPerfil()
{
    // Initialize the jQuery File Upload widget:
    $('#dn_img').fileupload({
        dropZone: $('#dn_img_div'),
        formData: {id_imovel: getIdImovel(),dados_perfil: getDadosPerfil()},
        url: base_url+URI.upload_img_perfil,
        autoUpload: true,
        acceptFileTypes: /(\.|\/)(gif|jpeg|jpg|png)$/i,
        maxFileSize: 1024 * 1024 * 3, // 3 Mb NA TEORIA
        // Enable image resizing, except for Android and Opera,
        // which actually support image resizing, but fail to
        // send Blob objects via XHR requests:
        disableImageResize: /Android(?!.*Chrome)|Opera/
            .test(window.navigator.userAgent),
        previewMaxWidth: 668,
        previewMaxHeight: 350,
        previewCrop: true,
        messages : {
          maxNumberOfFiles: 'Limite máximo atingido',
          acceptFileTypes: 'Extensão não permitida',
          maxFileSize: 'Limite máximo permitido de 3 Mb',
          minFileSize: 'Imagem menor que... '
        },
        uploadTemplateId: null,
        uploadTemplate: function (o) {
        var rows = $();
        
        
        return rows;
    },
        
    })
    .bind('fileuploadadded', function (e, data) {
        
        $('.container-img-input').hide();
        $('.container-img-img').hide();
        $('.container-img-load').removeClass('d-none');
        $('.container-img-load').addClass('d-block');
        
    })
    .fileupload().bind('fileuploaddone', function (e, data) 
    {
        //var error = data.result.uploadDoc.error;
        //if(error === undefined)
        if(data.result.valid == true)
        {
            //$(".divImgPerfil").html('<img src="'+data.result.imagem_path+'" class="img-fluid rounded">');
            $(".divImgPerfil").css('background-image','url(' + data.result.imagem_path + ')');
            $('.container-img-load').removeClass('d-block');
            $('.container-img-load').addClass('d-none');
            $('.container-img-input').hide();
            $('.container-img-img').removeClass('d-none');
            
            $('.container-img-img').show();
            
            $('.act-pergunta-img').hide();
            $('.act-remover-img').show('clip');
           
            $('#dn_img').data('value','img');
            getForm();
        } 
        else
        {
            $('.act-remover-img').show();
            $(".act-remover_img_perfil").hide();
            $('.container-img-img').hide();
            $('.container-img-load').removeClass('d-block');
            $('.container-img-load').hide();
            $('.container-img-input').removeClass('d-none');
            $('.container-img-input').show('clip');
            $(".divImgPerfil").removeAttr("style");
            $('#dn_img').data('value','');
            
            text = "Ops! "+data.result.msg;
            notifyErros(text);
        }
    })
    .bind('fileuploadprocessfail', function (e, data) {
      
        $('.act-remover-img').show();
            $(".act-remover_img_perfil").hide();
            $('.container-img-img').hide();
            $('.container-img-load').removeClass('d-block');
            $('.container-img-load').hide();
            $('.container-img-input').removeClass('d-none');
            $('.container-img-input').show('clip');
            $(".divImgPerfil").removeAttr("style");
            $('#dn_img').data('value','');
            
            text = "Ops! "+data.result.msg;
            notifyErros(text);
        
    });
}



$(".act-remover-img").click(function () {
    $(this).hide();
    $('.act-pergunta-img').removeClass('d-none');
    $('.act-pergunta-img').show();
});

$(".act-remover_img_perfil").click(function () {

    //$('.label-img-input').html('Carregar Foto');aqui
    //$('.label-img-input .box-ico-text').show();
    
    
    
    $('.act-remover-img').show();
    $(this).hide();
    
    $('.container-img-img').hide();
    $('.container-img-load').hide();
    $('.container-img-input').removeClass('d-none');
    
    
    $('.container-img-input').show('clip');
    
    
    $(".divImgPerfil").removeAttr("style");
    
    $('#dn_img').data('value','');
    form = getForm();
     
    $.ajax(
    {
        url: base_url+URI.remove_imagem_perfil,
        dataType: 'json',
    	type: 'POST',
    	data: form,
        success: function(result){
           
        }         
    });
});

$(".act-remover-planilha").click(function () {
    $(this).hide();
    $('.act-pergunta-planilha').removeClass('d-none');
    $('.act-pergunta-planilha').show();
});

$(".act-remover_planilha").click(function () {
    
    //$('.label-planilha-file').html('Carregar');
    $('.container-planilha-img').removeClass('d-block');
    $('.container-planilha-img').addClass('d-none');
    //$('.container-planilha-load').hide();
    //$('.container-planilha-file').removeClass('d-none');
    //$('.container-planilha-file').show('clip');
     
    $('.box-act-remover').removeClass('d-block');
    $('.box-act-remover').addClass('d-none');
    $('.box-icons').removeClass('d-none');
    $('.box-icons').addClass('d-block');
    
    $.ajax(
    {
        url: base_url+URI.remove_planilha,
        type: 'GET',
        dataType: 'json',
        success: function(result){
            //location.reload();
            document.location.href = base_url+'cadastro/imovel/';
        }         
    });
});

$(".act-remover-doc").click(function () {
    $(this).hide();
    $('.act-pergunta-doc').removeClass('d-none');
    $('.act-pergunta-doc').show();
});

$(".act-remover_doc").click(function () {
    
    //$('.label-doc-file').html('Carregar arquivo');
    $('.container-box-doc').removeClass('d-block');
    $('.container-box-doc').addClass('d-none');
    $('.container-doc-load').removeClass('d-block');
    $('.container-doc-load').addClass('d-none');
    $('.box-icons-doc').removeClass('d-none');
    $('.box-icons-doc').addClass('d-block');
    $('.box-act-remover-doc').removeClass('d-block');
    $('.box-act-remover-doc').addClass('d-none');
    
    ativaDivDoc('#doc_propriedade_div');
    //$('.container-doc-file').removeClass('d-none');
    //$('.container-doc-file').show('clip');
    $('#doc_propriedade').data('value', '');
    form = getForm();

    $.ajax(
    {
        url: base_url+URI.remove_doc,
        dataType: 'json',
    	type: 'POST',
    	data: form,
        success: function(result){}         
    });
});

function addMascCpf(){
    $('#dn_cpf_cnpj').addClass('cpfMasc');
    $(".cpfMasc").inputmask({
      mask: ["999.999.999-99"]
    });
}

function addMascCnpj(){
    $('#dn_cpf_cnpj').addClass('cnpjMasc');
    $(".cnpjMasc").inputmask({
      mask: ["99.999.999/9999-99"]
    });
}

function set_dados_pj()
{
    var cnpj = $('input[name=dn_cpf_cnpj]').val();
    
    if(cnpj !== undefined){
        cnpj = (cnpj.length == 14) ? '' : cnpj,
    
        dados_pj = {
            'dn_nome_nomefantasia'  : $('input[name=dn_nome_nomefantasia]').val(),
            'dn_email'              : $('input[name=dn_email]').val(),
            'dn_telefone'           : $('input[name=dn_telefone]').val(),
            'dn_cpf_cnpj'           : cnpj,
            'dn_razao_social'       : $('input[name=dn_razao_social]').val(),
        };
    }
}

$('body').on('change','input[name=doc_perfil]', function(){
    changeDocPerfil()
});

function changeDocPerfil()
{
    
    iniUploadImgPerfil();
   
    doc_perfil = $("input[name='doc_perfil']:checked").val();
    
    
    
    if(doc_perfil == "cpf"){
        
        $('.cardsUnidades').hide();
        $('.docPropSim').hide();
        $('.docPropNao').show();
        
        set_dados_pj();
        
        $('.box-dados-perfil').show('clip');
        $('.label_dn_cpf_cnpj').html('CPF*');
        $('.label_dn_nome_nomefantasia').html('Nome completo*');
        $('.box-remover-logo').removeClass("d-block");
        $('.box-remover-logo').hide();
        $('.box-remover-foto').show();
        $('.container-img .box-ico-text .text .txt span').html('Adicionar foto');
        
        addMascCpf();
        /*$('#dn_cpf_cnpj').addClass('cpfMasc');
        $(".cpfMasc").inputmask({
          mask: ["999.999.999-99"]
        });*/
        $('#dn_cpf_cnpj').removeClass('cnpjMasc');
        $('.box-razao-social').hide();
        removeCampoObrigatorio(1, 'dn_razao_social');
        removeCampoObrigatorio(2, 'lancamento');
        $.ajax(
        {
            url: base_url+URI.get_cadastro_para_imovel,
            type: 'GET',
            dataType: 'json',
            success: function(result){
                $('input[name=dn_nome_nomefantasia]').val(result.cad.nome);
                $('input[name=dn_email]').val(result.cad.email);
                $('input[name=dn_telefone]').val(result.cad.telefone);
                $('input[name=dn_cpf_cnpj]').val(result.cad.cpf);
                $('.box-razao-social').hide('clip');
                $('#dn_razao_social').val("");
                
                if(result.cad.img_perfil != '')
                {
                    imagem_path = base_url+'modules/anunciante/'+result.cad.id_cadastro+'/perfil/'+result.cad.img_perfil;
                    $(".divImgPerfil").css('background-image','url(' + imagem_path + ')');
                    $('.container-img-load').hide();
                    $('.container-img-input').hide();
                    $('.container-img-img').removeClass('d-none');
                    $('.container-img-img').show('clip');
                    
                    $('#dn_img').data('value',result.cad.img_perfil);
                    
                }
                getForm();
            },
            error: function(error)
    		{
    			console.log(error);
    		}
        });
    }
    else{
        $('.cardsUnidades').show();
        $('.docPropSim').show();
        $('.docPropNao').hide();
        
        
        $('.box-dados-perfil').show('clip');
        $('.label_dn_cpf_cnpj').html('CNPJ*');
        $('.label_dn_nome_nomefantasia').html('Nome fantasia*');
        $('#dn_cpf_cnpj').removeClass('cpfMasc');
        addMascCnpj();
        /*$('#dn_cpf_cnpj').addClass('cnpjMasc');
        $(".cnpjMasc").inputmask({
          mask: ["99.999.999/9999-99"]
        });*/
        $('.box-razao-social').show();
        addCampoObrigatorio(1, 'dn_razao_social');
        addCampoObrigatorio(2, 'lancamento');
        $('input[name=dn_nome_nomefantasia]').val(dados_pj.dn_nome_nomefantasia);
        $('input[name=dn_email]').val(dados_pj.dn_email);
        $('input[name=dn_telefone]').val(dados_pj.dn_telefone);
        $('input[name=dn_cpf_cnpj]').val(dados_pj.dn_cpf_cnpj);
        $('input[name=dn_razao_social]').val(dados_pj.dn_razao_social);
        

        //$('.label-img-input').html('Carregar Foto');aqui
        $('.container-img-img').hide();
        $('.container-img-load').hide();
        $('.container-img-input').removeClass('d-none');
        $('.container-img-input').show('clip');
        $('.box-remover-logo').show();
        $('.box-remover-foto').removeClass("d-block");
        $('.box-remover-foto').hide();
        $('.container-img .box-ico-text .text .txt span').html('Adicionar logo');
        
        $('#dn_img').data('value','');
        form = getForm();
        
        $.ajax(
        {
            url: base_url+URI.remove_imagem_perfil,
            dataType: 'json',
        	type: 'POST',
        	data: form,
            success: function(result){}         
        });
    }
}

/*lancamento*/
$('body').on('change','input[name=lancamento]', function(){
   
    var lancamento = $("input[name='lancamento']:checked").val();
    
    if(lancamento == "Sim"){
        
        $('.cardsUnidades').show();
        $('.docPropSim').show();
        $('.docPropNao').hide();
        
        $('.box-imovel-novo').removeClass('d-block');
        $('.box-imovel-novo').addClass('d-none');
        $('.box-lancamento').removeClass('d-none');
        $('.box-lancamento').addClass('d-block');
        $('.box-lancamento').show('clip');
        
        $('.docPropNao').removeClass('d-block');
        $('.docPropNao').addClass('d-none');
        $('.docPropSim').removeClass('d-none');
        $('.docPropSim').addClass('d-block');
    }
    if(lancamento == "Não"){
        
        $('.cardsUnidades').hide();
        $('.docPropSim').hide();
        $('.docPropNao').show();
        
        $('.box-imovel-novo').removeClass('d-none');
        $('.box-imovel-novo').addClass('d-block');
        $('.box-lancamento').removeClass('d-block');
        $('.box-lancamento').addClass('d-none');
        
        $('.docPropSim').removeClass('d-block');
        $('.docPropSim').addClass('d-none');
        $('.docPropNao').removeClass('d-none');
        $('.docPropNao').addClass('d-block');
        
    }
});

$('body').on('keyup','#dn_cpf_cnpj', function(){
    
    var len = $(this).val().length;
    verificaTipoCpf(len);
});

/*importar planilha*/
$('body').on('change','input[name=importar_planilha]', function(){
    
    if($("input[name='importar_planilha']:checked").val() == 'on')
        $('.box-importar-planilha').show('clip');
    else
        $('.box-importar-planilha').hide('clip');
});

/*chk termo*/
$('body').on('change','input[name=chk_termo]', function(){
    
    if($("input[name='chk_termo']:checked").val() == 'on')
        $('#content-error').hide('clip');
    else{
        $('#content-error').show('clip');
        $(".p-step").addClass("btn-success").html("Avançar");
    }
});

/*upload confirma propriedade*/
$("input[name=doc_propriedade]").change(function () {

  var fieldVal = $(this).val();
  
  fieldVal = fieldVal.replace("C:\\fakepath\\", "");

  if (fieldVal != undefined || fieldVal != "") {
    $(this).attr('data-content', fieldVal);
    //$(".custom-file").find('.label-doc-file').html(fieldVal);
  }

});

/*upload foto dono*/
$("input[name=dn_img]").change(function () {

  var fieldVal = $(this).val();
  
  fieldVal = fieldVal.replace("C:\\fakepath\\", "");

  if (fieldVal != undefined || fieldVal != "") {
    $(this).attr('data-content', fieldVal);
    //$(".container-img.custom-file").find('.label-img-input').html(fieldVal);aqui
  }

});

/*fotos profissionais*/
$('body').on('change','input[name=fotos_profissionais]', function(){
   
    var option = $("input[name='fotos_profissionais']:checked").val();
    
    if(option !== "on"){
        $('.box-galeria').show();
        $('.box-agendamento').hide();
    }
    else{
        $('.box-agendamento').show('clip');
        $('.box-galeria').hide();
    }
});

//blur
$('body').on('change','.bd_email', function()
{
    var data = {
        email : $(this).val()
        };
    $.ajax({
		url: base_url+URI.get_braco_direito,
		dataType: 'json',
		type: 'POST',
		data: data,
		success: function(retorno)
		{		
		    if(retorno.valid == true)
		    {
		        $('.bd_nome').val(retorno.data.nome);
    		    $('.bd_telefone').val(retorno.data.telefone);
    		    //$(this).parent().parent().find('.bd_nome').val('asd');
    		    //$(this).parent().next().find().find().find('.bd_nome').val('asdasd');
    		    //$(this).parent().next().next().find('.bd_telefone').val('asdasd');
		    }
		    else
		    {
		        $('.bd_nome').val('');
    		    $('.bd_telefone').val('');
		    }
		},
		error: function(error)
		{
			console.log(error);
		}
	});	
	
    
});

$('body').on('keyup','input[name=cep]', function()
{
    var expre = /[^\d]/g;
    cep = $(this).val().replace(expre,'');
    contCep = cep.length;
   
    if(contCep >= 8 && $bloquioCep == false)
    {
        $(".info-cep").html("<span class='loading-input'><i class='fa fa-circle-o-notch fa-spin'></i></span>");
        
        $bloquioCep = true;
        var data = {
        cep : $(this).val()
        };
            $.ajax({
        		url: base_url+'comdono/ajax/get_ajax/buscar_cep',
        		dataType: 'json',
        		type: 'POST',
        		data: data,
        		success: function(retorno)
        		{
        		    if(retorno.valid == true)
        		    {
        		        $("input[name=endereco]").val(retorno.logradouro.trim()).prop('disabled', true);
        		        $("input[name=bairro]").val(retorno.bairro.trim()).prop('disabled', true);
        		        $("input[name=cidade]").val(retorno.cidade.trim()).prop('disabled', true);
        		        $("input[name=estado]").val(retorno.uf.trim()).prop('disabled', true);
        		        
        		        $('input[name=bairro_lat]').val(retorno.b_lat);
                        $('input[name=bairro_long]').val(retorno.b_long);
        		        
        		        $(".info-cep").html("");
        		        resetMap();
        		    }
        		    else
        		    {
        		        $(".info-cep").html("<span class='error-form'>"+retorno.error+"</span>");
        		        $("input[name=endereco]").val('').prop('disabled', false);
        		        $("input[name=bairro]").val('').prop('disabled', false);
        		        $("input[name=cidade]").val('').prop('disabled', false);
        		        $("input[name=estado]").val('').prop('disabled', false);
        		        
        		        $('input[name=bairro_lat]').val('');
                        $('input[name=bairro_long]').val('');
        		    }
        		},
        		error: function(error)
        		{
        			console.log(error);
        		}
        	});	
    }
    
    if(contCep < 8)
    {
        $bloquioCep = false;
        $("input[name=endereco]").val('').prop('disabled', false);
        $("input[name=bairro]").val('').prop('disabled', false);
        $("input[name=cidade]").val('').prop('disabled', false);
        $("input[name=estado]").val('').prop('disabled', false); 
    }
});




$('body').on('click','.btnRemoverUnidade', function(){
    $div = $(this).parent();
    $div.find('.btnRemoverUnidade').hide();
    $div.find('.actRemoverUnidade').show('clip');
    resetBtn($div);
    
});

function resetBtn($div)
{
    setTimeout(function(){
        $div.find('.actRemoverUnidade').hide();
        $div.find('.btnRemoverUnidade').show('clip');
        
    }, 3000);
}

$('body').on('click','.actRemoverUnidade', function(){
   
    $aqui = $(this).parent().parent().parent().parent();
    var idI = $(this).data('id_imovel');
    var form = [];
    form.push({"name": 'id_imovel', "value": idI});
    
    $.ajax({
    		url: base_url+URI.remove_unidade,
    		/*secureuri		:false,
			fileElementId	:'doc_propriedade',*/
    		dataType: 'json',
    		type: 'POST',
    		data: form,
    		success: function(retorno)
    		{ 
    		    $aqui.hide('slow');
    		},
    		error: function(error)
    		{
    		    console.log(error);
    		}
    	});
});



$('body').on('keyup','.val_pretendido', function(){
    $card = $(this).parents('.card-body');
    calculaTaxas($card);
});

$('body').on('keyup','.area_total', function(){
    $card = $(this).parents('.card-body');
    calculaTaxas($card);
});

//concluir cadastro
$('body').on('click', '.concluirCadastro', function(e){
	
	loadButton($(this));
    
	$.ajax({
		url: base_url+URI.finaliza_cad_imovel,
		dataType: 'json',
		type: 'POST',
		data: {id_imovel: id_imovel},
		success: function(retorno)
		{
		    if(retorno.valid == true){
		        loadButton(null,false);
		        $('.open-modal-resultado').modal('show');
		        
		        /*setTimeout(function(){ 
		            set_resultado(3);
		        }, 3000);*/
		        
		        //document.location.href = retorno.redirect;
		    }
		    else
		    {
                loadButton(null,false);
		    }
		},
		error: function(error)
		{
			loadButton(null,false);
			
		}
	});
    
});

$('body').on( 'click', '.concluirEditarCadastro', function(e){
	
	loadButton($(this));
    
    //form = getForm();
    
    	$.ajax({
    		url: base_url+URI.finaliza_edit_imovel,
    		dataType: 'json',
    		type: 'POST',
    		data: {id_imovel: id_imovel},
    		success: function(retorno)
    		{
    		    if(retorno.valid == true)
    		        document.location.href = retorno.redirect;
    		    else
    		    {
                    loadButton(null,false);
    		    }
    		},
    		error: function(error)
    		{
    			loadButton(null,false);
    			
    		}
    	});
});

$('body').on( 'click', '.voltarEditarCadastro', function(e){
	loadButton($(this));
	document.location.href = base_url+'minha_conta/minhas_vendas/edit/'+id_imovel+'/'+step;
});

$('body').on( 'click', '.voltarCadastro', function(e){
	loadButton($(this));
	document.location.href = base_url+'cadastro/imovel/'+step;
});